//POSITION
@mixin position($position:null,$top:null,$right:null,$bottom:null,$left:null) {
  position: $position;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;
}

//FONT
@mixin font($family:null,$size:null,$weight:null) {
  font-family: $family;
  font-size: $size;
  font-weight: $weight;
}

@mixin flex($display: null,$direction: null,$justify: null,$align: null,$wrap: null){
  display: $display;
  flex-direction: $direction;
  justify-content: $justify;
  align-items: $align;
  flex-wrap: $wrap;
}

//ADJUSTING FONT SIZE FOR HEADINGS
$headings: h1 h2 h3 h4;
$font-size-base: 16px;
$font-size-upper: $font-size-base * 2;
$font-size-dec: 6px;

%bold{@include font($weight:bold,$family:$family);}
%headingstyle {
  @extend %bold;
  line-height: 1.3;
  margin-bottom: 20px;
}

@each $heading in $headings {
  #{$heading} {
    @extend %headingstyle;
    font-size: ($font-size-upper / $font-size-base) + em;
    $font-size-upper: $font-size-upper - $font-size-dec;
  }
}
